﻿Partial Public Class BackNavCancelledOnBackKeyPress
    Inherits PhoneApplicationPage
    Public Sub New()
        nextId += 1
        InitializeComponent()
        AddHandler Loaded, AddressOf BackNavCancelledOnBackKeyPress_Loaded
    End Sub

    Private Sub BackNavCancelledOnBackKeyPress_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
        Me.ApplicationTitle.Text = "BackNavCancelledOnBackKeyPress".ToUpper()
        AddHandler BackKeyPress, AddressOf BackNavCancelledOnBackKeyPress_BackKeyPress
    End Sub

    Private Sub BackNavCancelledOnBackKeyPress_BackKeyPress(ByVal sender As Object, ByVal e As ComponentModel.CancelEventArgs)
        If Me.cancelAtBackKeyPressEvent.IsChecked.Value Then e.Cancel = True
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As Windows.Navigation.NavigationEventArgs)
        MyBase.OnNavigatedTo(e)

        If NavigationContext.QueryString.ContainsKey("pagetitle") Then Me.PageTitle.Text = "instance # " & NavigationContext.QueryString("pagetitle")
    End Sub


    Protected Overrides Sub OnBackKeyPress(ByVal e As ComponentModel.CancelEventArgs)
        MyBase.OnBackKeyPress(e)
        If Me.cancelAtOnBackKeyPressCallback.IsChecked.Value Then e.Cancel = True
    End Sub

    Private Shared nextId As Integer
    Private Sub OnNavigateNext(ByVal unused As Object, ByVal unused2 As RoutedEventArgs)
        Dim [next] = String.Format("/BackNavCancelledOnBackKeyPress.xaml?pagetitle={0}", nextId)
        Dim uri As New Uri([next], UriKind.Relative)
        Me.NavigationService.Navigate(uri)
    End Sub
End Class