﻿Partial Public Class GarbageCollectedSample
    Inherits PhoneApplicationPage
    Private Shared activePageCount As Integer
    Private Shared staticLock As New Object
    Private instanceId As Integer
    Public Sub New()
        InitializeComponent()
        SyncLock String.Empty
            activePageCount += 1
            nextId += 1
            instanceId = nextId
        End SyncLock
        AddHandler Loaded, AddressOf GarbageCollectedSample_Loaded
    End Sub

    Private Sub GarbageCollectedSample_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)

        GC.Collect()
        GC.Collect()
        GC.Collect()
        pageCount.Text = String.Format("{0} active pages in memory", activePageCount)

        Me.PageTitle.Text = "instance " & instanceId
    End Sub

    Protected Overrides Sub Finalize()
        SyncLock String.Empty
            activePageCount -= 1
        End SyncLock
    End Sub

    Private Shared nextId As Integer
    Private Sub OnNavigateNext(ByVal unused As Object, ByVal unused2 As RoutedEventArgs)
        Dim [next] = String.Format("/GarbageCollectedSample.xaml?pagetitle={0}", nextId)
        Dim uri As New Uri([next], UriKind.Relative)
        Me.NavigationService.Navigate(uri)

    End Sub
End Class
