﻿Partial Public Class BackNavConfig
    Inherits PhoneApplicationPage
    Public Sub New()
        InitializeComponent()
    End Sub

    Protected Overrides Sub OnNavigatedTo(ByVal e As Windows.Navigation.NavigationEventArgs)
        MyBase.OnNavigatedTo(e)
        UpdateUIWithInitializationData()
        navigateButton.IsEnabled = BackNavigationHelper.Instance.IsInitialized
        'JAIMECLEANUP initializeButton.IsEnabled = Not BackNavigationHelper.Instance.IsInitialized
    End Sub

    Private Sub UpdateUIWithInitializationData()
        navigateButton.IsEnabled = BackNavigationHelper.Instance.IsInitialized
        'JAIMECLEANUP  initializeButton.IsEnabled = Not BackNavigationHelper.Instance.IsInitialized
    End Sub

    Private Sub OnInitializeNavHelper(ByVal u As Object, ByVal a As RoutedEventArgs)
        UpdateUIWithInitializationData()
    End Sub

    Private Sub OnStart(ByVal u As Object, ByVal a As RoutedEventArgs)
        BackNavigationHelper.Instance.AutoJournal = autoJournal.IsChecked.Value
        BackNavigationHelper.Instance.HideFrameonBackNav = hideFrame.IsChecked.Value
        BackNavigationHelper.Instance.ValidateUriBeforeBackNav = Me.validateJournalOnBack.IsChecked.Value
        BackNavigationHelper.DemoSettings.HideAppBarOnNavigate = Me.hideAppbar.IsChecked.Value
        BackNavigationHelper.DemoSettings.PreventLoopCreation = Me.avoidLoops.IsChecked.Value


        NavigationService.Navigate(New Uri("/HomeNavigationSamplePages/LevelPage.xaml?level=0", UriKind.Relative))
    End Sub
End Class
